# Uses of Class
org.apache.sysds.runtime.ooc.cache.OOCFuture

Packages that use OOCFuture
Package
Description
org.apache.sysds.runtime.ooc.cache
org.apache.sysds.runtime.ooc.cache.io
org.apache.sysds.runtime.ooc.cache.packed
org.apache.sysds.runtime.ooc.memory

## Uses of OOCFuture in org.apache.sysds.runtime.ooc.cache

Methods in org.apache.sysds.runtime.ooc.cache that return OOCFuture
Modifier and Type
Method
Description
`static <T> OOCFuture<T>`
OOCFuture.`completed(T value)`
`static <T> OOCFuture<T>`
OOCFuture.`failed(Throwable error)`
`OOCFuture<Boolean>`
OOCCache.UnpinHandle.`getCompletionFuture()`
`<R> OOCFuture<R>`
OOCFuture.`map(Function<? super T,? extends R> mapper)`
`OOCFuture<BlockEntry>`
OOCCache.`pin(long sId, long tId, MemoryAllowance allowance)`
Pins an item backed by an allowance.
`default OOCFuture<BlockEntry>`
OOCCache.`pin(BlockKey key, MemoryAllowance allowance)`
Pins an item backed by an allowance.
`OOCFuture<BlockEntry>`
OOCCacheImpl.`pin(long sId, long tId, MemoryAllowance allowance)`
`OOCFuture<BlockEntry>`
OOCCache.`pinAdmitted(long sId, long tId, MemoryAllowance allowance)`
Pins an item backed by an allowance.
`default OOCFuture<BlockEntry>`
OOCCache.`pinAdmitted(BlockKey key, MemoryAllowance allowance)`
Pins an item backed by an allowance.
`OOCFuture<BlockEntry>`
OOCCacheImpl.`pinAdmitted(long sId, long tId, MemoryAllowance allowance)`

## Uses of OOCFuture in org.apache.sysds.runtime.ooc.cache.io

Methods in org.apache.sysds.runtime.ooc.cache.io that return OOCFuture
Modifier and Type
Method
Description
`OOCFuture<BlockEntry>`
OOCIOHandler.`scheduleRead(BlockEntry block)`
`OOCFuture<BlockEntry>`
OOCMatrixIOHandler.`scheduleRead(BlockEntry block)`

## Uses of OOCFuture in org.apache.sysds.runtime.ooc.cache.packed

Methods in org.apache.sysds.runtime.ooc.cache.packed that return OOCFuture
Modifier and Type
Method
Description
`OOCFuture<BlockEntry>`
OOCPackedCache.`pin(long sId, long tId, MemoryAllowance allowance)`
`OOCFuture<BlockEntry>`
OOCPackedCache.`pinAdmitted(long sId, long tId, MemoryAllowance allowance)`
`OOCFuture<OOCPackedCache.PackLease>`
OOCPackedCache.`pinPack(OOCPackedCache.PackGroup group, MemoryAllowance allowance)`

## Uses of OOCFuture in org.apache.sysds.runtime.ooc.memory

Methods in org.apache.sysds.runtime.ooc.memory that return OOCFuture
Modifier and Type
Method
Description
`OOCFuture<Void>`
MemoryAllowance.`reserveAsync(long bytes)`
`OOCFuture<Void>`
SyncMemoryAllowance.`reserveAsync(long bytes)`